#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "pktlib.h"
#include "pktbuf.h"
#include "pcap.h"

int main(int argc, char *argv[])
{
  pktif_t pktif;
  pktbuf_t pktbuf;
  int linktype, size;
  char *p;
  struct timeval tm;

  pktif = pktif_open(argv[1], 0, 0); /* 󥿡ե򥪡ץ󤹤 */

  while (1) {
    pktbuf = pktbuf_create(0);
    p = pktbuf_get_header(pktbuf);
    size = 80 * 1024;

    size = pkt_pcap_read(stdin, p, size, &linktype, NULL, &tm); /* pcap */
    if (size < 0) break;
    pktbuf_set_size(pktbuf, size);

    if (linktype == pktif_get_linktype(pktif))
      pktbuf = pktbuf_send(pktif, pktbuf); /* ѥåȤ */

    if (pktbuf) pktbuf_destroy(pktbuf);
  }

  return 0;
}
